﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TPLSamples.Utility
{
	public static class GeneralMathOperations
	{
		unsafe public static void DrawPixelByPointSlope(double slope, double beta, int stride, byte* startPos, int x)
		{
			byte* p = startPos;
			//move to our X
			p += (x * 3);
			//move to our Y
			double newY = (slope * x) + beta;
			p += (int)(stride * (int)newY);

			//and set everything there to be black
			p[0] = 0;
			p[1] = 0;
			p[2] = 0;
		}
	}
}
