﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using TPLSamples.Models;
using TPLSamples.ViewModels;

[assembly:XmlnsDefinition("http://formatexception.com/tplsamples/views", "TPLSamples.Views")]
namespace TPLSamples.Views
{
	/// <summary>
	/// Interaction logic for SamplerView.xaml
	/// </summary>
	public partial class SamplerView : UserControl
	{
		public SamplerView()
		{
			InitializeComponent();
		}

		private void btnPlus_Click(object sender, RoutedEventArgs e)
		{
			imgScaleTransformSource.ScaleX += .1;
			imgScaleTransformSource.ScaleY += .1;
			imgScaleTransformDest.ScaleX += .1;
			imgScaleTransformDest.ScaleY += .1;
		}

		private void btnMinus_Click(object sender, RoutedEventArgs e)
		{
			imgScaleTransformSource.ScaleX -= .1;
			imgScaleTransformSource.ScaleY -= .1;
			imgScaleTransformDest.ScaleX -= .1;
			imgScaleTransformDest.ScaleY -= .1;
		}

		private void btnUp_Click(object sender, RoutedEventArgs e)
		{
			imgTranslateTransformSource.Y += 10;
			imgTranslateTransformDest.Y += 10;
		}

		private void btnDown_Click(object sender, RoutedEventArgs e)
		{
			imgTranslateTransformSource.Y -= 10;
			imgTranslateTransformDest.Y -= 10;
		}

		private void btnLeft_Click(object sender, RoutedEventArgs e)
		{
			imgTranslateTransformSource.X += 10;
			imgTranslateTransformDest.X += 10;
		}

		private void btnRight_Click(object sender, RoutedEventArgs e)
		{
			imgTranslateTransformSource.X -= 10;
			imgTranslateTransformDest.X -= 10;
		}
	}
}
